// FootageName.jsx
// Copyright (c) 2011 Motion Boutique

function run()
{
	var scriptName = "Footage Name";
	
	var comp = app.project.activeItem;
	if (!(comp instanceof CompItem))
	{
		alert("Select a comp first.", scriptName);
		return;
	}
	
	app.beginUndoGroup(scriptName);
	
	var textLayer = comp.layers.addText(" "); // need something non-empty for CharStyle
	textLayer.name = scriptName.toUpperCase();
	textLayer.position.setValue([50,100]);
	textLayer.sourceText.expression = 
	"found = false;\r" + 
	"for (i = index+1; !found && i <= thisComp.numLayers; i++)\r" + 
	"{\r" + 
	"   if (thisComp.layer(i).active)\r" + 
	"   {\r" + 
	"  	   found = true;\r" + 
	"      a = i;\r" + 
	"   }\r" + 
	"}\r" + 
	"if (found)\r" + 
	"   try { thisComp.layer(a).source.name; } catch(e) { \"\"; }\r" + 
	"else \"\";";	
	
	var textDocProp = textLayer.property("ADBE Text Properties").property("ADBE Text Document");	
	var textDocVal = textDocProp.value;	
	textDocVal.resetCharStyle();	
	textDocVal.fontSize = 48;	
	textDocVal.fillColor = [1, 1, 1];	
	textDocVal.font = "Arial";	
	textDocVal.applyFill = true;	
	textDocVal.justification = ParagraphJustification.LEFT_JUSTIFY;	
	textDocProp.setValue(textDocVal);
	
	app.endUndoGroup();
}

run();